Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.readseqwrapper
Interface Sequence

All Known Implementing Classes:
  ParsedSequence

    public interface Sequence

An abstract class, providing an interface for accessing a sequence.

Field Summary
`static int` | `MASK` The mask for converting a string to integer
`static int` | `RNA_BASES` The number of rna bases (ATGC).
`static int` | `WORDSIZE` The size of a word.

Method Summary
`int[]` | `createWordIndexArr()` Fetches every overlapping word from the sequence string, changes each word to integer format and saves in an array.
`int` | `getGoodWordCount()` Returns the number of words without invalid base(s).
`java.lang.String` | `getName()` Returns the name of the sequence record.
`Sequence` | `getReversedSeq()` Returns a Sequence object whose sequence string is the reverse complement of the current sequence string.
`java.lang.String` | `getSeqString()` Returns the sequence string of the sequence record.
`java.lang.String` | `getTitle()` Returns the title of the sequence record.
`boolean` | `isReverse()` Returns true if the sequence string is a minus strand.

Field Detail

### RNA_BASES

    static final int RNA_BASES

  The number of rna bases (ATGC). Initially set to 4.

  See Also:
    Constant Field Values

### WORDSIZE

    static final int WORDSIZE

  The size of a word. Initially set to 8.

  See Also:
    Constant Field Values

### MASK

    static final int MASK

  The mask for converting a string to integer

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the sequence record.

### getTitle

    java.lang.String getTitle()

  Returns the title of the sequence record.

### getSeqString

    java.lang.String getSeqString()

  Returns the sequence string of the sequence record.

### getReversedSeq

    Sequence getReversedSeq()

  Returns a Sequence object whose sequence string is the reverse complement of the current sequence string.

### createWordIndexArr

    int[] createWordIndexArr()

  Fetches every overlapping word from the sequence string, changes each word to integer format and saves in an array.

### getGoodWordCount

    int getGoodWordCount()

  Returns the number of words without invalid base(s).

### isReverse

    boolean isReverse()

  Returns true if the sequence string is a minus strand.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD